clear;
close;
clc;
% Struktura obsahujici data prime ulohy rovnice
eq = defHCEQ('regions/circle');
% Data prime ulohy
eq.p = @(x,y,t) 0.2;
eq.q = @(x,y,t,T) 0;
eq.g = @(x,y,t,T) 0;
% Okrajove podminky
eq.beta{1} = @(x,y,t,T) 0;
eq.f{2} = @(x,y,t) 10;
eq.beta{3} = @(x,y,t,T) 0;
eq.f{4} = @(x,y,t) 0;
eq.neum_edge = [1,3];
eq.dir_edge = [2,4];
% Dalsi parametry
eq.stationary = true;
eq.linear = true;
% Reseni stacionarni ulohy
[U_stationary] = STATIONARY(eq);
PLOT(U_stationary,[],eq,'plots/stationary',true);
% Zadani dat nestacionarni nelinearni ulohy
eq.stationary = false;
eq.linear = true;
eq.c = @(x,y,t,T) 1;
eq.time = [0,10];
eq.num_tsteps = 50;
eq.phi = @(x,y)10+0*x+0*y;
% Reseni nestacionarni ulohy funkci ODE
[U_ode,t_ode] = ODE(eq,[],[],true);
PLOT(U_ode,t_ode,eq,'plots/nonstationary_ode',true);
% Reseni nestacionarni ulohy funkci THETA
[U_theta,t_theta] = THETA(eq,[],[],0.5,true,5);
PLOT(U_theta,t_theta,eq,'plots/nonstationary_theta',true);